# https://en.wikipedia.org/wiki/Greek_diacritics#Unicode

#Upper Case Vowels
UPPER = ['Α', 'Ε', 'Η', 'Ι', 'Ο', 'Υ', 'Ω', 'ᾼ', 'ῌ', 'ῼ']
UPPER_ACUTE = ['Ά', 'Έ', 'Ή', 'Ί', 'Ό', 'Ύ', 'Ώ']
UPPER_GRAVE = ['Ὰ', 'Ὲ', 'Ὴ', 'Ὶ', 'Ὸ', 'Ὺ', 'Ὼ']

UPPER_SMOOTH = ['Ἀ', 'Ἐ', 'Ἠ', 'Ἰ', 'Ὀ', 'Ὠ', 'ᾈ', 'ᾘ', 'ᾨ']
UPPER_SMOOTH_ACUTE = ['Ἄ', 'Ἔ', 'Ἤ', 'Ἴ', 'Ὄ', 'Ὤ', 'ᾌ', 'ᾜ', 'ᾬ']
UPPER_SMOOTH_GRAVE = ['Ἂ', 'Ἒ', 'Ἢ', 'Ἲ', 'Ὂ', 'Ὢ', 'ᾊ', 'ᾚ', 'ᾪ']
UPPER_SMOOTH_CIRCUMFLEX = ['Ἆ', 'Ἦ', 'Ἶ', 'Ὦ', ' ᾎ', 'ᾞ', 'ᾮ']

UPPER_ROUGH = ['Ἁ', 'Ἑ', 'Ἡ', 'Ἱ', 'Ὁ', 'Ὑ', 'Ὡ', 'ᾉ', 'ᾙ', 'ᾩ']
UPPER_ROUGH_ACUTE = ['Ἅ', 'Ἕ', 'Ἥ', 'Ἵ', 'Ὅ', 'Ὕ', 'Ὥ', 'ᾍ', 'ᾝ', 'ᾭ']
UPPER_ROUGH_GRAVE = ['Ἃ', 'Ἓ', 'Ἣ', 'Ἳ', 'Ὃ', 'Ὓ', 'Ὣ', 'ᾋ', 'ᾛ', 'ᾫ']
UPPER_ROUGH_CIRCUMFLEX = ['Ἇ', 'Ἧ', 'Ἷ', 'Ὗ', 'Ὧ', 'ᾏ', 'ᾟ', 'ᾯ']

UPPER_DIAERESIS = ['Ϊ', 'Ϋ']
UPPER_MACRON = ['Ᾱ', 'Ῑ', 'Ῡ']
UPPER_BREVE = ['Ᾰ', 'Ῐ', 'Ῠ']

#Lower Case Vowels
LOWER = ['α', 'ε', 'η', 'ι', 'ο', 'υ', 'ω', 'ᾳ', 'ῃ', 'ῳ']
LOWER_ACUTE = ['ά', 'έ', 'ή', 'ί', 'ό', 'ύ', 'ώ', 'ᾴ', 'ῄ', 'ῴ']
LOWER_GRAVE = ['ὰ', 'ὲ', 'ὴ', 'ὶ', 'ὸ', 'ὺ', 'ὼ', 'ᾲ', 'ῂ', 'ῲ']
LOWER_CIRCUMFLEX = ['ᾶ', 'ῆ', 'ῖ', 'ῦ', 'ῶ', 'ᾷ', 'ῇ', 'ῷ']

LOWER_SMOOTH = ['ἀ', 'ἐ', 'ἠ', 'ἰ', 'ὀ', 'ὐ', 'ὠ', 'ᾀ', 'ᾐ', 'ᾠ', 'ῤ']
LOWER_SMOOTH_ACUTE = ['ἄ', 'ἔ', 'ἤ', 'ἴ', 'ὄ', 'ὔ', 'ὤ', 'ᾄ', 'ᾔ', 'ᾤ']
LOWER_SMOOTH_GRAVE = ['ἂ', 'ἒ', 'ἢ', 'ἲ', 'ὂ', 'ὒ', 'ὢ', 'ᾂ', 'ᾒ', 'ᾢ']
LOWER_SMOOTH_CIRCUMFLEX = ['ἆ', 'ἦ', 'ἶ', 'ὖ', 'ὦ', 'ᾆ', 'ᾖ', 'ᾦ']

LOWER_ROUGH = ['ἁ', 'ἑ', 'ἡ', 'ἱ', 'ὁ', 'ὑ', 'ὡ', 'ᾁ', 'ᾑ', 'ᾡ', 'ῥ']
LOWER_ROUGH_ACUTE = ['ἅ', 'ἕ', 'ἥ', 'ἵ', 'ὅ', 'ὕ', 'ὥ', 'ᾅ', 'ᾕ', 'ᾥ']
LOWER_ROUGH_GRAVE = ['ἃ', 'ἓ', 'ἣ', 'ἳ', 'ὃ', 'ὓ', 'ὣ', 'ᾃ', 'ᾓ', 'ᾣ']
LOWER_ROUGH_CIRCUMFLEX = ['ἇ', 'ἧ', 'ἷ', 'ὗ', 'ὧ', 'ᾇ', 'ᾗ', 'ᾧ']

LOWER_DIAERESIS = ['ϊ', 'ϋ']
LOWER_DIAERESIS_ACUTE = ['ΐ', 'ΰ']
LOWER_DIAERESIS_GRAVE = ['ῒ', 'ῢ']
LOWER_DIAERESIS_CIRCUMFLEX = ['ῗ', 'ῧ']

LOWER_MACRON = ['ᾱ', 'ῑ', 'ῡ']
LOWER_BREVE = ['ᾰ', 'ῐ', 'ῠ']

LOWER_RHO = 'ρ'
LOWER_RHO_SMOOTH = 'ῤ'
LOWER_RHO_ROUGH = 'ῥ'

UPPER_RHO = 'Ρ'
UPPER_RHO_ROUGH = 'Ῥ'


UPPER_CONSONANTS = ['B','Γ','Δ','Z','Θ','K','Λ','M','N','Ξ','Π','P','Σ','T','Φ','X','Ψ']
LOWER_CONSONANTS = ['β','γ','δ','ζ','θ','κ','λ','μ','ν','ξ','π','ρ','σ','τ','ϕ','χ','ψ']